#include <qwt_curve.h>
#include <qwt_plot.h>

class QwtPlot;
class QwtPlotCurve;

class QwtHistogram: public QwtPlotCurve
{
public:
	QwtHistogram(QwtPlot *parent, const char *name=0);

	virtual void draw(QPainter *painter,const QwtDiMap &xMap, 
		const QwtDiMap &yMap, int from, int to);

	QwtDoubleRect boundingRect() const;

	void setBrush (const QBrush &brush);
	void setPen (const QPen &pen);
	void setGap (int gap);  
	int gap(){return bar_gap;};

private:
	QPen bar_pen;
	QBrush bar_brush;
	int bar_gap;
};
