#ifndef IMPORTDIALOG_H
#define IMPORTDIALOG_H

#include <qvariant.h>
#include <qdialog.h>

class QButtonGroup;
class QPushButton;
class QComboBox;
class QSpinBox;
class QCheckBox;
	
class importDialog : public QDialog
{
    Q_OBJECT

public:
    importDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~importDialog();

    QPushButton* buttonOk;
	QPushButton* buttonCancel;
    QButtonGroup* GroupBox1, *GroupBox2;
    QComboBox* boxSeparator;
	QSpinBox* boxLines;
	QCheckBox *boxRenameCols;

public slots:
    virtual void languageChange();
	void setSeparator(const QString& sep);
	void setLines(int lines);
	void renameCols(bool rename);
	void accept();

signals:
	void options(const QString&, int, bool);
};

#endif // IMPORTDIALOG_H
